

This is a multi-part message in MIME format.

------=_NextPart_000_0038_01C4C57D.967C5110
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit

Configuration and build updates for 2.6.9.

Signed-off-by: Mikael Starvik <starvik@axis.com>

------=_NextPart_000_0038_01C4C57D.967C5110
Content-Type: application/octet-stream;
	name="cris269_1.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
	filename="cris269_1.patch"

lx25/arch/cris/Kconfig.debug
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                                  |    0 
 25-akpm/arch/cris/Kconfig.debug            |   27 ++++++++++++++------
 25-akpm/arch/cris/Makefile                 |    4 +-
 25-akpm/arch/cris/arch-v10/drivers/Kconfig |   39 ++++-------------------------
 25-akpm/arch/cris/arch-v10/kernel/Makefile |    3 +-
 25-akpm/arch/cris/arch-v10/vmlinux.lds.S   |    1 
 6 files changed, 31 insertions(+), 43 deletions(-)

diff -puN arch/cris/arch-v10/drivers/Kconfig~cris-architecture-update-configuration-and-build arch/cris/arch-v10/drivers/Kconfig
--- 25/arch/cris/arch-v10/drivers/Kconfig~cris-architecture-update-configuration-and-build	Mon Nov  8 14:19:21 2004
+++ 25-akpm/arch/cris/arch-v10/drivers/Kconfig	Mon Nov  8 14:19:21 2004
@@ -549,44 +549,17 @@ config ETRAX_RS485_DISABLE_RECEIVER
 
 config ETRAX_IDE
 	bool "ATA/IDE support"
+	select IDE
+	select BLK_DEV_IDE
+	select BLK_DEV_IDEDISK
+	select BLK_DEV_IDECD
+	select BLK_DEV_IDEDMA
+	select DMA_NONPCI
 	help
 	  Enable this to get support for ATA/IDE.
 	  You can't use parallell ports or SCSI ports
 	  at the same time.
 
-# here we should add the CONFIG_'s necessary to enable the basic
-# general ide drivers so the common case does not need to go
-# into that config submenu. enable disk and CD support. others
-# need to go fiddle in the submenu..
-config IDE
-	tristate
-	depends on ETRAX_IDE
-	default y
-
-config BLK_DEV_IDE
-	tristate
-	depends on ETRAX_IDE
-	default y
-
-config BLK_DEV_IDEDISK
-	tristate
-	depends on ETRAX_IDE
-	default y
-
-config BLK_DEV_IDECD
-	tristate
-	depends on ETRAX_IDE
-	default y
-
-config BLK_DEV_IDEDMA
-	bool
-	depends on ETRAX_IDE
-	default y
-
-config DMA_NONPCI
-	bool
-	depends on ETRAX_IDE
-	default y
 
 config ETRAX_IDE_DELAY
 	int "Delay for drives to regain consciousness"
diff -puN arch/cris/arch-v10/kernel/Makefile~cris-architecture-update-configuration-and-build arch/cris/arch-v10/kernel/Makefile
--- 25/arch/cris/arch-v10/kernel/Makefile~cris-architecture-update-configuration-and-build	Mon Nov  8 14:19:21 2004
+++ 25-akpm/arch/cris/arch-v10/kernel/Makefile	Mon Nov  8 14:19:21 2004
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.4 2003/07/04 12:57:13 tobiasa Exp $
+# $Id: Makefile,v 1.5 2004/06/02 08:24:38 starvik Exp $
 #
 # Makefile for the linux kernel.
 #
@@ -11,6 +11,7 @@ obj-y   := entry.o traps.o shadows.o deb
 
 obj-$(CONFIG_ETRAX_KGDB) += kgdb.o
 obj-$(CONFIG_ETRAX_FAST_TIMER) += fasttimer.o
+obj-$(CONFIG_MODULES)    += crisksyms.o
 
 clean:
 
diff -puN arch/cris/arch-v10/vmlinux.lds.S~cris-architecture-update-configuration-and-build arch/cris/arch-v10/vmlinux.lds.S
--- 25/arch/cris/arch-v10/vmlinux.lds.S~cris-architecture-update-configuration-and-build	Mon Nov  8 14:19:21 2004
+++ 25-akpm/arch/cris/arch-v10/vmlinux.lds.S	Mon Nov  8 14:19:21 2004
@@ -26,6 +26,7 @@ SECTIONS
 	.text : {
 		*(.text)
 		SCHED_TEXT
+		LOCK_TEXT
 		*(.fixup)
 		*(.text.__*)
 	}
diff -puN arch/cris/Kconfig.debug~cris-architecture-update-configuration-and-build arch/cris/Kconfig.debug
--- 25/arch/cris/Kconfig.debug~cris-architecture-update-configuration-and-build	Mon Nov  8 14:19:21 2004
+++ 25-akpm/arch/cris/Kconfig.debug	Mon Nov  8 14:19:21 2004
@@ -1,15 +1,11 @@
 menu "Kernel hacking"
 
-source "lib/Kconfig.debug"
-
 #bool 'Debug kmalloc/kfree' CONFIG_DEBUG_MALLOC
-config PROFILE
+config PROFILING
 	bool "Kernel profiling support"
 
-config PROFILE_SHIFT
-	int "Profile shift count"
-	depends on PROFILE
-	default "2"
+config SYSTEM_PROFILER
+        bool "System profiling support"
 
 config ETRAX_KGDB
 	bool "Use kernel GDB debugger"
@@ -25,4 +21,21 @@ config ETRAX_KGDB
 	  didn't before).  The kernel halts when it boots, waiting for gdb if
 	  this option is turned on!
 
+
+config DEBUG_INFO
+        bool "Compile the kernel with debug info"
+        help
+          If you say Y here the resulting kernel image will include
+          debugging info resulting in a larger kernel image.
+          Say Y here only if you plan to use gdb to debug the kernel.
+          If you don't debug the kernel, you can say N.
+
+config FRAME_POINTER
+        bool "Compile the kernel with frame pointers"
+        help
+          If you say Y here the resulting kernel image will be slightly larger
+          and slower, but it will give very useful debugging information.
+          If you don't debug the kernel, you can say N, but we may not be able
+          to solve problems without frame pointers.
+
 endmenu
diff -puN arch/cris/Makefile~cris-architecture-update-configuration-and-build arch/cris/Makefile
--- 25/arch/cris/Makefile~cris-architecture-update-configuration-and-build	Mon Nov  8 14:19:21 2004
+++ 25-akpm/arch/cris/Makefile	Mon Nov  8 14:19:21 2004
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.20 2004/05/14 14:35:58 orjanf Exp $
+# $Id: Makefile,v 1.23 2004/10/19 13:07:34 starvik Exp $
 # cris/Makefile
 #
 # This file is included by the global makefile so that you can add your own
@@ -80,7 +80,7 @@ compressed: zImage
 archmrproper:
 archclean:
 	$(Q)$(MAKE) $(clean)=arch/$(ARCH)/boot
-	rm -f timage vmlinux.bin cramfs.img
+	rm -f timage vmlinux.bin decompress.bin rescue.bin cramfs.img
 	rm -rf $(LD_SCRIPT).tmp
 
 prepare: arch/$(ARCH)/.links include/asm-$(ARCH)/.arch \
diff -L linux/arch/cris/arch-v10/drivers/Kconfig -puN /dev/null /dev/null
diff -L linux/arch/cris/arch-v10/kernel/Makefile -puN /dev/null /dev/null
diff -L linux/arch/cris/arch-v10/vmlinux.lds.S -puN /dev/null /dev/null
diff -L linux/arch/cris/Kconfig.debug -puN /dev/null /dev/null
diff -L linux/arch/cris/Makefile -puN /dev/null /dev/null
_
